Aave V3 Pools
Returns Aave V3 lending pool and vault data across supported EVM chains, including supply/borrow balances, caps, utilization, APYs, and loan-to-value parameters. Results can be filtered by pool, underlying token, chain, minimum TVL, or borrowable status, and sorted on any available column.
GET
https://api.cambrian.org/evm/lending/aave/v3/pools
Parameters
pool_address (string)
Aave V3 pool address
underlying_address (string)
Underlying token address. See tokens for valid addresses.
chain_id (integer)
EVM chain ID.
min_tvl_usd (integer)
Minimum TVL Usd of the lending pool/vault
borrowable (boolean)
If true, only lending pools/vaults with borrowing enabled will be returned
limit (integer)
Limit the number of results.
offset (integer)
Offset the results, allows you to skip a number of rows before starting to return rows.
order_asc (array)
List of column names to order by in ascending order divided by comma. Leave empty items to combine with descending order
order_desc (array)
List of column names to order by in descending order divided by comma. Leave empty items to combine with ascending order
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "chainId",
"type": "UInt16"
},
{
"name": "protocolId",
"type": "String"
},
{
"name": "poolAddress",
"type": "FixedString(42)"
},
{
"name": "symbol",
"type": "Nullable(String)"
},
{
"name": "vaultName",
"type": "Nullable(String)"
},
{
"name": "underlyingAddress",
"type": "FixedString(42)"
},
{
"name": "underlyingSymbol",
"type": "String"
},
{
"name": "supply",
"type": "Float64"
},
{
"name": "supplyUsd",
"type": "Float64"
},
{
"name": "borrow",
"type": "Float64"
},
{
"name": "borrowUsd",
"type": "Float64"
},
{
"name": "tvlUsd",
"type": "Float64"
},
{
"name": "availableLiquidityUsd",
"type": "Float64"
},
{
"name": "supplyCap",
"type": "Float64"
},
{
"name": "supplyCapUsd",
"type": "Float64"
},
{
"name": "borrowCap",
"type": "Float64"
},
{
"name": "borrowCapUsd",
"type": "Float64"
},
{
"name": "remainingCapacityUsd",
"type": "Float64"
},
{
"name": "supplyApy",
"type": "Float64"
},
{
"name": "borrowApy",
"type": "Nullable(Float64)"
},
{
"name": "netSupplyApy",
"type": "Float64"
},
{
"name": "performanceFee",
"type": "Nullable(Float64)"
},
{
"name": "managementFee",
"type": "Nullable(Float64)"
},
{
"name": "utilizationRate",
"type": "Float64"
},
{
"name": "ltv",
"type": "Float64"
},
{
"name": "borrowable",
"type": "Bool"
},
{
"name": "depositEnabled",
"type": "Bool"
},
{
"name": "updatedAt",
"type": "DateTime('UTC')"
}
],
"data": [
[
8453,
"aave-v3",
"0xbdb9300b7cde636d9cd4aff00f6f009ffbbc8ee6",
"aBascbBTC",
"Aave Base cbBTC",
"0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf",
"cbBTC",
3028.7145578347313,
234670988.15997487,
88.94640274897127,
6891748.901322244,
234670988.15997487,
227779239.25865263,
4000,
309928167.4503448,
380,
29443175.907782752,
75257179.29036993,
0.00009497943053368723,
0.006468367810181962,
0.00009497943053368723,
null,
null,
0.02936770733936718,
0.81,
true,
true,
"2026-10-31T16:41:39+00:00"
],
[
8453,
"aave-v3",
"0xd4a0e0b9149bcee3c920d2e00b5de09138fd8bb7",
"aBasWETH",
"Aave Base WETH",
"0x4200000000000000000000000000000000000006",
"WETH",
93634.8560777212,
210327466.6724839,
76441.36429822572,
171706554.32512257,
210327466.6724839,
38620912.347361326,
125000,
280781478.5579188,
79900,
179475521.09422168,
70454011.8854349,
0.014162450479171683,
0.020409376929700244,
0.014162450479171683,
null,
null,
0.8163772285266919,
0.81,
true,
true,
"2026-10-31T16:41:57+00:00"
],
[
8453,
"aave-v3",
"0x4e65fe4dba92790696d040ac24aa414708f5c0ab",
"aBasUSDC",
"Aave Base USDC",
"0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"USDC",
180249527.83788693,
180249527.83788693,
172704097.60093433,
172704097.60093433,
180249527.83788693,
7545430.236952603,
230000000,
230000000,
178000000,
178000000,
49750472.16211307,
0.0672766754962005,
0.07801847461903776,
0.0672766754962005,
null,
null,
0.9581389736358208,
0,
true,
true,
"2026-10-31T16:42:03+00:00"
],
[
8453,
"aave-v3",
"0xcf3d55c10db69f28fd1a75bd73f3d8a2d9c595ad",
"aBascbETH",
"Aave Base cbETH",
"0x2ae3f1ec7f1f5012cfeab0185bfc7aa3cf0dec22",
"cbETH",
54978.65779182713,
140746870.080984,
196.56578833211978,
503213.8030270314,
140746870.080984,
140243656.27795696,
60000,
153601643.69298965,
1010,
2585627.6688319924,
12854773.612005651,
0.000001690176477460821,
0.0005561594578738026,
0.000001690176477460821,
null,
null,
0.003575310788349954,
0.75,
false,
true,
"2026-10-31T16:41:25+00:00"
],
[
8453,
"aave-v3",
"0x80a94c36747cf51b2fbabdff045f6d22c1930ed1",
"aBaswrsETH",
"Aave Base wrsETH",
"0xedfa23602d0ec14714057867a78d01e94176bea0",
"wrsETH",
11347.128473474157,
27335250.897294115,
0,
0,
27335250.897294115,
27335250.897294115,
30000,
72270048.65908124,
1,
2409.0016219693744,
44934797.76178712,
0,
0.01,
0,
null,
null,
0,
0,
false,
false,
"2026-10-30T09:52:49+00:00"
],
[
8453,
"aave-v3",
"0x99cbc45ea5bb7ef3a5bc08fb1b7e56bb2442ef0d",
"aBaswstETH",
"Aave Base wstETH",
"0xc1cba3fcea344f92d9239c08c0568f6f2f0ee452",
"wstETH",
8302.782080462393,
23306791.41767075,
341.3497362449049,
958204.9758788629,
23306791.41767075,
22348586.441791885,
15000,
42106593.65464057,
1200,
3368527.4923712458,
18799802.23696982,
0.00000981286110709553,
0.0002512442404335591,
0.00000981286110709553,
null,
null,
0.041112693665433964,
0.75,
false,
true,
"2026-10-31T16:15:05+00:00"
],
[
8453,
"aave-v3",
"0x90da57e0a6c0d166bf15764e03b83745dc90025b",
"aBasEURC",
"Aave Base EURC",
"0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
"EURC",
8165800.342936427,
9112868.778142566,
4422777.585819094,
4935730.740630154,
9112868.778142566,
4177138.0375124123,
25000000,
27899496.66729658,
12000000,
13391758.400302358,
18786627.889154017,
0.022001461999725226,
0.04513504660918812,
0.022001461999725226,
null,
null,
0.5416220578604864,
0,
true,
true,
"2026-10-31T16:41:17+00:00"
],
[
8453,
"aave-v3",
"0x067ae75628177fd257c2b1e500993e1a0babcbd1",
"aBasGHO",
"Aave Base GHO",
"0x6bb7a212910682dcfdbd5bcbb3e28fb4e8da10ee",
"GHO",
1315951.4275266272,
1311246.1922996251,
1188933.424011336,
1184682.346568658,
1311246.1922996251,
126563.84573096712,
60000000,
59785467.679342285,
45000000,
44839100.75950671,
58474221.48704266,
0.050693983879287426,
0.06234487538735212,
0.050693983879287426,
null,
null,
0.903478197706715,
0,
true,
true,
"2026-10-31T16:26:43+00:00"
],
[
8453,
"aave-v3",
"0x67eaf2bee4384a2f84da9eb8105c661c123736ba",
"aBasAAVE",
"Aave Base AAVE",
"0x63706e401c06ac8513145b7687a14804d17f814b",
"AAVE",
7252.640045079769,
981044.6158492374,
0,
0,
981044.6158492374,
981044.6158492374,
10000,
1352672.4196312258,
1,
135.2672419631226,
371627.80378198833,
0,
0,
0,
null,
null,
0,
0,
false,
true,
"2026-10-31T11:46:05+00:00"
],
[
8453,
"aave-v3",
"0xbcffb4b3beadc989bd1458740952af6ec8fbe431",
"aBastBTC",
"Aave Base tBTC",
"0x236aa50979d5f3de3bd1eeb40e81137f22ab794b",
"tBTC",
3.1543229446024137,
243815.56526085976,
0.37765488709264705,
29191.094693579606,
243815.56526085976,
214624.47056728016,
1,
77295.68897758865,
1,
77295.68897758865,
0,
0.0009363871389174403,
0.01564225341612776,
0.0009363871389174403,
null,
null,
0.11972613258857315,
0,
false,
false,
"2026-10-31T15:20:37+00:00"
]
],
"rows": 10
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. List Aave V3 Pools on Base
Fetches Aave V3 lending pools on Base (the default chain), limited to 10 results.
curl
curl -X GET "https://api.cambrian.org/evm/lending/aave/v3/pools?limit=10" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "poolAddress",
14 "type": "FixedString(42)"
15 },
16 {
17 "name": "symbol",
18 "type": "Nullable(String)"
19 },
20 {
21 "name": "vaultName",
22 "type": "Nullable(String)"
23 },
24 {
25 "name": "underlyingAddress",
26 "type": "FixedString(42)"
27 },
28 {
29 "name": "underlyingSymbol",
30 "type": "String"
31 },
32 {
33 "name": "supply",
34 "type": "Float64"
35 },
36 {
37 "name": "supplyUsd",
38 "type": "Float64"
39 },
40 {
41 "name": "borrow",
42 "type": "Float64"
43 },
44 {
45 "name": "borrowUsd",
46 "type": "Float64"
47 },
48 {
49 "name": "tvlUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "availableLiquidityUsd",
54 "type": "Float64"
55 },
56 {
57 "name": "supplyCap",
58 "type": "Float64"
59 },
60 {
61 "name": "supplyCapUsd",
62 "type": "Float64"
63 },
64 {
65 "name": "borrowCap",
66 "type": "Float64"
67 },
68 {
69 "name": "borrowCapUsd",
70 "type": "Float64"
71 },
72 {
73 "name": "remainingCapacityUsd",
74 "type": "Float64"
75 },
76 {
77 "name": "supplyApy",
78 "type": "Float64"
79 },
80 {
81 "name": "borrowApy",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "netSupplyApy",
86 "type": "Float64"
87 },
88 {
89 "name": "performanceFee",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "managementFee",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "utilizationRate",
98 "type": "Float64"
99 },
100 {
101 "name": "ltv",
102 "type": "Float64"
103 },
104 {
105 "name": "borrowable",
106 "type": "Bool"
107 },
108 {
109 "name": "depositEnabled",
110 "type": "Bool"
111 },
112 {
113 "name": "updatedAt",
114 "type": "DateTime('UTC')"
115 }
116 ],
117 "data": [
118 [
119 8453,
120 "aave-v3",
121 "0xbdb9300b7cde636d9cd4aff00f6f009ffbbc8ee6",
122 "aBascbBTC",
123 "Aave Base cbBTC",
124 "0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf",
125 "cbBTC",
126 3028.7145578347313,
127 234670988.15997487,
128 88.94640274897127,
129 6891748.901322244,
130 234670988.15997487,
131 227779239.25865263,
132 4000,
133 309928167.4503448,
134 380,
135 29443175.907782752,
136 75257179.29036993,
137 0.00009497943053368723,
138 0.006468367810181962,
139 0.00009497943053368723,
140 null,
141 null,
142 0.02936770733936718,
143 0.81,
144 true,
145 true,
146 "2026-10-31T16:41:39+00:00"
147 ],
148 [
149 8453,
150 "aave-v3",
151 "0xd4a0e0b9149bcee3c920d2e00b5de09138fd8bb7",
152 "aBasWETH",
153 "Aave Base WETH",
154 "0x4200000000000000000000000000000000000006",
155 "WETH",
156 93634.8560777212,
157 210327466.6724839,
158 76441.36429822572,
159 171706554.32512257,
160 210327466.6724839,
161 38620912.347361326,
162 125000,
163 280781478.5579188,
164 79900,
165 179475521.09422168,
166 70454011.8854349,
167 0.014162450479171683,
168 0.020409376929700244,
169 0.014162450479171683,
170 null,
171 null,
172 0.8163772285266919,
173 0.81,
174 true,
175 true,
176 "2026-10-31T16:41:57+00:00"
177 ],
178 [
179 8453,
180 "aave-v3",
181 "0x4e65fe4dba92790696d040ac24aa414708f5c0ab",
182 "aBasUSDC",
183 "Aave Base USDC",
184 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
185 "USDC",
186 180249527.83788693,
187 180249527.83788693,
188 172704097.60093433,
189 172704097.60093433,
190 180249527.83788693,
191 7545430.236952603,
192 230000000,
193 230000000,
194 178000000,
195 178000000,
196 49750472.16211307,
197 0.0672766754962005,
198 0.07801847461903776,
199 0.0672766754962005,
200 null,
201 null,
202 0.9581389736358208,
203 0,
204 true,
205 true,
206 "2026-10-31T16:42:03+00:00"
207 ],
208 [
209 8453,
210 "aave-v3",
211 "0xcf3d55c10db69f28fd1a75bd73f3d8a2d9c595ad",
212 "aBascbETH",
213 "Aave Base cbETH",
214 "0x2ae3f1ec7f1f5012cfeab0185bfc7aa3cf0dec22",
215 "cbETH",
216 54978.65779182713,
217 140746870.080984,
218 196.56578833211978,
219 503213.8030270314,
220 140746870.080984,
221 140243656.27795696,
222 60000,
223 153601643.69298965,
224 1010,
225 2585627.6688319924,
226 12854773.612005651,
227 0.000001690176477460821,
228 0.0005561594578738026,
229 0.000001690176477460821,
230 null,
231 null,
232 0.003575310788349954,
233 0.75,
234 false,
235 true,
236 "2026-10-31T16:41:25+00:00"
237 ],
238 [
239 8453,
240 "aave-v3",
241 "0x80a94c36747cf51b2fbabdff045f6d22c1930ed1",
242 "aBaswrsETH",
243 "Aave Base wrsETH",
244 "0xedfa23602d0ec14714057867a78d01e94176bea0",
245 "wrsETH",
246 11347.128473474157,
247 27335250.897294115,
248 0,
249 0,
250 27335250.897294115,
251 27335250.897294115,
252 30000,
253 72270048.65908124,
254 1,
255 2409.0016219693744,
256 44934797.76178712,
257 0,
258 0.01,
259 0,
260 null,
261 null,
262 0,
263 0,
264 false,
265 false,
266 "2026-10-30T09:52:49+00:00"
267 ],
268 [
269 8453,
270 "aave-v3",
271 "0x99cbc45ea5bb7ef3a5bc08fb1b7e56bb2442ef0d",
272 "aBaswstETH",
273 "Aave Base wstETH",
274 "0xc1cba3fcea344f92d9239c08c0568f6f2f0ee452",
275 "wstETH",
276 8302.782080462393,
277 23306791.41767075,
278 341.3497362449049,
279 958204.9758788629,
280 23306791.41767075,
281 22348586.441791885,
282 15000,
283 42106593.65464057,
284 1200,
285 3368527.4923712458,
286 18799802.23696982,
287 0.00000981286110709553,
288 0.0002512442404335591,
289 0.00000981286110709553,
290 null,
291 null,
292 0.041112693665433964,
293 0.75,
294 false,
295 true,
296 "2026-10-31T16:15:05+00:00"
297 ],
298 [
299 8453,
300 "aave-v3",
301 "0x90da57e0a6c0d166bf15764e03b83745dc90025b",
302 "aBasEURC",
303 "Aave Base EURC",
304 "0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
305 "EURC",
306 8165800.342936427,
307 9112868.778142566,
308 4422777.585819094,
309 4935730.740630154,
310 9112868.778142566,
311 4177138.0375124123,
312 25000000,
313 27899496.66729658,
314 12000000,
315 13391758.400302358,
316 18786627.889154017,
317 0.022001461999725226,
318 0.04513504660918812,
319 0.022001461999725226,
320 null,
321 null,
322 0.5416220578604864,
323 0,
324 true,
325 true,
326 "2026-10-31T16:41:17+00:00"
327 ],
328 [
329 8453,
330 "aave-v3",
331 "0x067ae75628177fd257c2b1e500993e1a0babcbd1",
332 "aBasGHO",
333 "Aave Base GHO",
334 "0x6bb7a212910682dcfdbd5bcbb3e28fb4e8da10ee",
335 "GHO",
336 1315951.4275266272,
337 1311246.1922996251,
338 1188933.424011336,
339 1184682.346568658,
340 1311246.1922996251,
341 126563.84573096712,
342 60000000,
343 59785467.679342285,
344 45000000,
345 44839100.75950671,
346 58474221.48704266,
347 0.050693983879287426,
348 0.06234487538735212,
349 0.050693983879287426,
350 null,
351 null,
352 0.903478197706715,
353 0,
354 true,
355 true,
356 "2026-10-31T16:26:43+00:00"
357 ],
358 [
359 8453,
360 "aave-v3",
361 "0x67eaf2bee4384a2f84da9eb8105c661c123736ba",
362 "aBasAAVE",
363 "Aave Base AAVE",
364 "0x63706e401c06ac8513145b7687a14804d17f814b",
365 "AAVE",
366 7252.640045079769,
367 981044.6158492374,
368 0,
369 0,
370 981044.6158492374,
371 981044.6158492374,
372 10000,
373 1352672.4196312258,
374 1,
375 135.2672419631226,
376 371627.80378198833,
377 0,
378 0,
379 0,
380 null,
381 null,
382 0,
383 0,
384 false,
385 true,
386 "2026-10-31T11:46:05+00:00"
387 ],
388 [
389 8453,
390 "aave-v3",
391 "0xbcffb4b3beadc989bd1458740952af6ec8fbe431",
392 "aBastBTC",
393 "Aave Base tBTC",
394 "0x236aa50979d5f3de3bd1eeb40e81137f22ab794b",
395 "tBTC",
396 3.1543229446024137,
397 243815.56526085976,
398 0.37765488709264705,
399 29191.094693579606,
400 243815.56526085976,
401 214624.47056728016,
402 1,
403 77295.68897758865,
404 1,
405 77295.68897758865,
406 0,
407 0.0009363871389174403,
408 0.01564225341612776,
409 0.0009363871389174403,
410 null,
411 null,
412 0.11972613258857315,
413 0,
414 false,
415 false,
416 "2026-10-31T15:20:37+00:00"
417 ]
418 ],
419 "rows": 10
420 }
421]
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "poolAddress",
14 "type": "FixedString(42)"
15 },
16 {
17 "name": "symbol",
18 "type": "Nullable(String)"
19 },
20 {
21 "name": "vaultName",
22 "type": "Nullable(String)"
23 },
24 {
25 "name": "underlyingAddress",
26 "type": "FixedString(42)"
27 },
28 {
29 "name": "underlyingSymbol",
30 "type": "String"
31 },
32 {
33 "name": "supply",
34 "type": "Float64"
35 },
36 {
37 "name": "supplyUsd",
38 "type": "Float64"
39 },
40 {
41 "name": "borrow",
42 "type": "Float64"
43 },
44 {
45 "name": "borrowUsd",
46 "type": "Float64"
47 },
48 {
49 "name": "tvlUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "availableLiquidityUsd",
54 "type": "Float64"
55 },
56 {
57 "name": "supplyCap",
58 "type": "Float64"
59 },
60 {
61 "name": "supplyCapUsd",
62 "type": "Float64"
63 },
64 {
65 "name": "borrowCap",
66 "type": "Float64"
67 },
68 {
69 "name": "borrowCapUsd",
70 "type": "Float64"
71 },
72 {
73 "name": "remainingCapacityUsd",
74 "type": "Float64"
75 },
76 {
77 "name": "supplyApy",
78 "type": "Float64"
79 },
80 {
81 "name": "borrowApy",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "netSupplyApy",
86 "type": "Float64"
87 },
88 {
89 "name": "performanceFee",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "managementFee",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "utilizationRate",
98 "type": "Float64"
99 },
100 {
101 "name": "ltv",
102 "type": "Float64"
103 },
104 {
105 "name": "borrowable",
106 "type": "Bool"
107 },
108 {
109 "name": "depositEnabled",
110 "type": "Bool"
111 },
112 {
113 "name": "updatedAt",
114 "type": "DateTime('UTC')"
115 }
116 ],
117 "data": [
118 [
119 8453,
120 "aave-v3",
121 "0xbdb9300b7cde636d9cd4aff00f6f009ffbbc8ee6",
122 "aBascbBTC",
123 "Aave Base cbBTC",
124 "0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf",
125 "cbBTC",
126 3028.7145578347313,
127 234670988.15997487,
128 88.94640274897127,
129 6891748.901322244,
130 234670988.15997487,
131 227779239.25865263,
132 4000,
133 309928167.4503448,
134 380,
135 29443175.907782752,
136 75257179.29036993,
137 0.00009497943053368723,
138 0.006468367810181962,
139 0.00009497943053368723,
140 null,
141 null,
142 0.02936770733936718,
143 0.81,
144 true,
145 true,
146 "2026-10-31T16:41:39+00:00"
147 ],
148 [
149 8453,
150 "aave-v3",
151 "0xd4a0e0b9149bcee3c920d2e00b5de09138fd8bb7",
152 "aBasWETH",
153 "Aave Base WETH",
154 "0x4200000000000000000000000000000000000006",
155 "WETH",
156 93634.8560777212,
157 210327466.6724839,
158 76441.36429822572,
159 171706554.32512257,
160 210327466.6724839,
161 38620912.347361326,
162 125000,
163 280781478.5579188,
164 79900,
165 179475521.09422168,
166 70454011.8854349,
167 0.014162450479171683,
168 0.020409376929700244,
169 0.014162450479171683,
170 null,
171 null,
172 0.8163772285266919,
173 0.81,
174 true,
175 true,
176 "2026-10-31T16:41:57+00:00"
177 ],
178 [
179 8453,
180 "aave-v3",
181 "0x4e65fe4dba92790696d040ac24aa414708f5c0ab",
182 "aBasUSDC",
183 "Aave Base USDC",
184 "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
185 "USDC",
186 180249527.83788693,
187 180249527.83788693,
188 172704097.60093433,
189 172704097.60093433,
190 180249527.83788693,
191 7545430.236952603,
192 230000000,
193 230000000,
194 178000000,
195 178000000,
196 49750472.16211307,
197 0.0672766754962005,
198 0.07801847461903776,
199 0.0672766754962005,
200 null,
201 null,
202 0.9581389736358208,
203 0,
204 true,
205 true,
206 "2026-10-31T16:42:03+00:00"
207 ],
208 [
209 8453,
210 "aave-v3",
211 "0xcf3d55c10db69f28fd1a75bd73f3d8a2d9c595ad",
212 "aBascbETH",
213 "Aave Base cbETH",
214 "0x2ae3f1ec7f1f5012cfeab0185bfc7aa3cf0dec22",
215 "cbETH",
216 54978.65779182713,
217 140746870.080984,
218 196.56578833211978,
219 503213.8030270314,
220 140746870.080984,
221 140243656.27795696,
222 60000,
223 153601643.69298965,
224 1010,
225 2585627.6688319924,
226 12854773.612005651,
227 0.000001690176477460821,
228 0.0005561594578738026,
229 0.000001690176477460821,
230 null,
231 null,
232 0.003575310788349954,
233 0.75,
234 false,
235 true,
236 "2026-10-31T16:41:25+00:00"
237 ],
238 [
239 8453,
240 "aave-v3",
241 "0x80a94c36747cf51b2fbabdff045f6d22c1930ed1",
242 "aBaswrsETH",
243 "Aave Base wrsETH",
244 "0xedfa23602d0ec14714057867a78d01e94176bea0",
245 "wrsETH",
246 11347.128473474157,
247 27335250.897294115,
248 0,
249 0,
250 27335250.897294115,
251 27335250.897294115,
252 30000,
253 72270048.65908124,
254 1,
255 2409.0016219693744,
256 44934797.76178712,
257 0,
258 0.01,
259 0,
260 null,
261 null,
262 0,
263 0,
264 false,
265 false,
266 "2026-10-30T09:52:49+00:00"
267 ],
268 [
269 8453,
270 "aave-v3",
271 "0x99cbc45ea5bb7ef3a5bc08fb1b7e56bb2442ef0d",
272 "aBaswstETH",
273 "Aave Base wstETH",
274 "0xc1cba3fcea344f92d9239c08c0568f6f2f0ee452",
275 "wstETH",
276 8302.782080462393,
277 23306791.41767075,
278 341.3497362449049,
279 958204.9758788629,
280 23306791.41767075,
281 22348586.441791885,
282 15000,
283 42106593.65464057,
284 1200,
285 3368527.4923712458,
286 18799802.23696982,
287 0.00000981286110709553,
288 0.0002512442404335591,
289 0.00000981286110709553,
290 null,
291 null,
292 0.041112693665433964,
293 0.75,
294 false,
295 true,
296 "2026-10-31T16:15:05+00:00"
297 ],
298 [
299 8453,
300 "aave-v3",
301 "0x90da57e0a6c0d166bf15764e03b83745dc90025b",
302 "aBasEURC",
303 "Aave Base EURC",
304 "0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
305 "EURC",
306 8165800.342936427,
307 9112868.778142566,
308 4422777.585819094,
309 4935730.740630154,
310 9112868.778142566,
311 4177138.0375124123,
312 25000000,
313 27899496.66729658,
314 12000000,
315 13391758.400302358,
316 18786627.889154017,
317 0.022001461999725226,
318 0.04513504660918812,
319 0.022001461999725226,
320 null,
321 null,
322 0.5416220578604864,
323 0,
324 true,
325 true,
326 "2026-10-31T16:41:17+00:00"
327 ],
328 [
329 8453,
330 "aave-v3",
331 "0x067ae75628177fd257c2b1e500993e1a0babcbd1",
332 "aBasGHO",
333 "Aave Base GHO",
334 "0x6bb7a212910682dcfdbd5bcbb3e28fb4e8da10ee",
335 "GHO",
336 1315951.4275266272,
337 1311246.1922996251,
338 1188933.424011336,
339 1184682.346568658,
340 1311246.1922996251,
341 126563.84573096712,
342 60000000,
343 59785467.679342285,
344 45000000,
345 44839100.75950671,
346 58474221.48704266,
347 0.050693983879287426,
348 0.06234487538735212,
349 0.050693983879287426,
350 null,
351 null,
352 0.903478197706715,
353 0,
354 true,
355 true,
356 "2026-10-31T16:26:43+00:00"
357 ],
358 [
359 8453,
360 "aave-v3",
361 "0x67eaf2bee4384a2f84da9eb8105c661c123736ba",
362 "aBasAAVE",
363 "Aave Base AAVE",
364 "0x63706e401c06ac8513145b7687a14804d17f814b",
365 "AAVE",
366 7252.640045079769,
367 981044.6158492374,
368 0,
369 0,
370 981044.6158492374,
371 981044.6158492374,
372 10000,
373 1352672.4196312258,
374 1,
375 135.2672419631226,
376 371627.80378198833,
377 0,
378 0,
379 0,
380 null,
381 null,
382 0,
383 0,
384 false,
385 true,
386 "2026-10-31T11:46:05+00:00"
387 ],
388 [
389 8453,
390 "aave-v3",
391 "0xbcffb4b3beadc989bd1458740952af6ec8fbe431",
392 "aBastBTC",
393 "Aave Base tBTC",
394 "0x236aa50979d5f3de3bd1eeb40e81137f22ab794b",
395 "tBTC",
396 3.1543229446024137,
397 243815.56526085976,
398 0.37765488709264705,
399 29191.094693579606,
400 243815.56526085976,
401 214624.47056728016,
402 1,
403 77295.68897758865,
404 1,
405 77295.68897758865,
406 0,
407 0.0009363871389174403,
408 0.01564225341612776,
409 0.0009363871389174403,
410 null,
411 null,
412 0.11972613258857315,
413 0,
414 false,
415 false,
416 "2026-10-31T15:20:37+00:00"
417 ]
418 ],
419 "rows": 10
420 }
421]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/aave/v3/pools"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/aave/v3/pools"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/aave/v3/pools")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/aave/v3/pools")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request